Package com.destroystokyo.paper.exception

# Class ServerPluginMessageException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.destroystokyo.paper.exception.ServerException
com.destroystokyo.paper.exception.ServerPluginException
com.destroystokyo.paper.exception.ServerPluginMessageException

All Implemented Interfaces:
  `Serializable`

public class ServerPluginMessageException extends ServerPluginException
Thrown when an incoming plugin message channel throws an exception

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ServerPluginMessageException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace, Plugin responsiblePlugin, Player player, String channel, byte[] data)`
``
`ServerPluginMessageException(String message, Throwable cause, Plugin responsiblePlugin, Player player, String channel, byte[] data)`
``
`ServerPluginMessageException(Throwable cause, Plugin responsiblePlugin, Player player, String channel, byte[] data)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getChannel()`
Gets the channel to which the error occurred from recieving data from
`byte[]`
`getData()`
Gets the data to which the error occurred from
`Player`
`getPlayer()`
Gets the player which the plugin message causing the exception originated from

### Methods inherited from class com.destroystokyo.paper.exception.ServerPluginException

`getResponsiblePlugin`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ServerPluginMessageException

public ServerPluginMessageException(String message, Throwable cause, Plugin responsiblePlugin, Player player, String channel, byte[] data)

### ServerPluginMessageException

public ServerPluginMessageException(Throwable cause, Plugin responsiblePlugin, Player player, String channel, byte[] data)

### ServerPluginMessageException

protected ServerPluginMessageException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace, Plugin responsiblePlugin, Player player, String channel, byte[] data)

## Method Details

### getChannel

public String getChannel()
Gets the channel to which the error occurred from recieving data from

Returns:
  exception channel

### getData

public byte[] getData()
Gets the data to which the error occurred from

Returns:
  exception data

### getPlayer

public Player getPlayer()
Gets the player which the plugin message causing the exception originated from

Returns:
  exception player